CMSIS-NN: arm_nnexamples_gru.cpp File Reference

| CMSIS-NN Version 1.2.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_nnexamples_gru.cpp File Reference

## Macros
#define | DIM_HISTORY
#define | DIM_INPUT
#define | DIM_VEC
#define | USE_X4

## Functions
void | gru_example (q15_t *scratch_input, uint16_t input_size, uint16_t history_size, q7_t *weights_update, q7_t *weights_reset, q7_t *weights_hidden_state, q7_t *bias_update, q7_t *bias_reset, q7_t *bias_hidden_state)
int | main ()

## Variables
static q7_t | update_gate_weights [DIM_VEC *DIM_HISTORY]
static q7_t | reset_gate_weights [DIM_VEC *DIM_HISTORY]
static q7_t | hidden_state_weights [DIM_VEC *DIM_HISTORY]
static q7_t | update_gate_bias [DIM_HISTORY]
static q7_t | reset_gate_bias [DIM_HISTORY]
static q7_t | hidden_state_bias [DIM_HISTORY]
static q15_t | test_input1 [DIM_INPUT]
static q15_t | test_input2 [DIM_INPUT]
static q15_t | test_history [DIM_HISTORY]
q15_t | scratch_buffer [DIM_HISTORY *4+DIM_INPUT]

## Macro Definition Documentation

#define DIM_HISTORY

Referenced by main().

#define DIM_INPUT

Referenced by main().

#define DIM_VEC

#define USE_X4

## Function Documentation

void gru_example | ( | q15_t * | scratch_input,
|  | uint16_t | input_size,
|  | uint16_t | history_size,
|  | q7_t * | weights_update,
|  | q7_t * | weights_reset,
|  | q7_t * | weights_hidden_state,
|  | q7_t * | bias_update,
|  | q7_t * | bias_reset,
|  | q7_t * | bias_hidden_state
| ) |  |

References arm_fully_connected_mat_q7_vec_q15(), arm_fully_connected_mat_q7_vec_q15_opt(), arm_nn_activations_direct_q15(), ARM_SIGMOID, and ARM_TANH.

Referenced by main().

int main | ( |  | ) |

References DIM_HISTORY, DIM_INPUT, gru_example(), hidden_state_bias, hidden_state_weights, reset_gate_bias, reset_gate_weights, scratch_buffer, test_history, test_input1, test_input2, update_gate_bias, and update_gate_weights.

## Variable Documentation

q7_t hidden_state_bias[DIM_HISTORY]
| static

Referenced by main().

q7_t hidden_state_weights[DIM_VEC *DIM_HISTORY]
| static

Referenced by main().

q7_t reset_gate_bias[DIM_HISTORY]
| static

Referenced by main().

q7_t reset_gate_weights[DIM_VEC *DIM_HISTORY]
| static

Referenced by main().

q15_t scratch_buffer[DIM_HISTORY *4+DIM_INPUT]

Referenced by main().

q15_t test_history[DIM_HISTORY]
| static

Referenced by main().

q15_t test_input1[DIM_INPUT]
| static

Referenced by main().

q15_t test_input2[DIM_INPUT]
| static

Referenced by main().

q7_t update_gate_bias[DIM_HISTORY]
| static

Referenced by main().

q7_t update_gate_weights[DIM_VEC *DIM_HISTORY]
| static

Referenced by main().